﻿@model List<vmEmpresa>

<thead>
    <tr>
        <th>Id</th>
        <th>Nombre</th>
        <th>Descripción</th>
        <th>Fecha Act.</th>
        <th>Estado</th>
        <th></th>
    </tr>
</thead>
<tbody>
    @if (Model != null)
    {
        @foreach (var item in Model)
        {
            <tr>
                <td>@Html.DisplayFor(modelItem => item.IEmprsa)</td>
                <td>@Html.DisplayFor(modelItem => item.Nmbre)</td>
                <td>@Html.DisplayFor(modelItem => item.Dscrpcn)</td>
                <td>@Html.DisplayFor(modelItem => item.FActlzcn)</td>
                <td>
                    @if (item.CEstdo == "A")
                    {
                        <span class="label label-success">Activo</span>
                    }
                    else
                    {
                        <span class="label label-danger">Inactivo</span>
                    }
                </td>

                <td>
                    <span class="tool-tip" data-toggle="tooltip" data-placement="top" title="Editar">
                        <a id="edit"
                           data-toggle="modal"
                           data-target="#modal-action"
                           data-ajax-success="success"
                           data-ajax="true"
                           data-ajax-url="/Empresa/EditarEmpresa/@item.IEmprsa"
                           class="@ColorBoton.Info">
                            <i class="@IconoBoton.Editar"></i>
                        </a>
                    </span>
                    @{
                        var disable = string.Empty;
                        var tooltip = "Eliminar";

                        if (item.TieneSucursales)
                        {
                            disable = "disabled";
                            tooltip = "Para Elimimar, elimine sus sucursales primero";
                        }
                    }
                    @if ((await AuthorizationService.AuthorizeAsync(User, "SuperUsuario")).Succeeded)
                    {
                        @*<p>This paragraph is displayed because you fulfilled PolicyName.</p>*@
                        <span class="tool-tip" data-toggle="tooltip" data-placement="top" title="@tooltip">
                            <a id="delete"
                               data-ajax-confirm="Está seguro que desea eliminar la empresa @item.Nmbre ?"
                               data-ajax-success="success"
                               data-ajax="true"
                               data-ajax-url="/Empresa/EliminarEmpresa/@item.IEmprsa"
                               data-ajax-update="#tablaEmpresa"
                               class="@ColorBoton.Error @disable"
                               title="@tooltip">
                                <i class="@IconoBoton.Eliminar"></i>
                            </a>
                        </span>
                    }
               </td>
            </tr>
        }
    }
</tbody>